Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
MikeKOffline
Post subject: newb question about compiling...  PostPosted: 13.10.2010, 20:11



Joined: 2010-10-11
Posts: 20

Status: Offline
Can u guys point me what's wrong..
I getting such error "/usr/include/gtk-2.0/gdk/gdkapplaunchcontext.h:30:21: error: gio/gio.h: No such file or directory"

however, gio/gio.h I have.. i even tried some symlinks to make 100% sure it's where it want it. no luck
google brings me no help..

I am trying to complie canon driver...
 
 View user's profile Send private message  
Reply with quote Back to top
devilOffline
Post subject: RE: newb question about compiling...  PostPosted: 13.10.2010, 21:17



Joined: 2010-08-26
Posts: 491
Location: Berlin
Status: Offline
is libgtk2.0-dev installed?

greetz
devil
 
 View user's profile Send private message  
Reply with quote Back to top
MikeKOffline
Post subject: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 10:57



Joined: 2010-10-11
Posts: 20

Status: Offline
      devil wrote:
is libgtk2.0-dev installed?

greetz
devil

yeah, it is installed.
and I have gio/gio.h

I even made symlink to gio to /usr/include/gtk-2.0/gdk/ because I dint not know what to do next...

I have read somewhere regards same error when someone was compling libcurl that somethin is not "properly linked".. no idea howeve how to link properly and what to link..

The drivers are very old.. I had to install a lot of things.
 
 View user's profile Send private message  
Reply with quote Back to top
towoOnline!
Post subject: RE: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 11:12



Joined: 2010-09-13
Posts: 499
Location: Pößneck / Thüringen
Status: Online!
libglib2.0-dev is shipping gio/gio.h!
And senseless symlinking is a bad workaround.
Btw, why don't you tell us, what are you trying to compile?
 
 View user's profile Send private message  
Reply with quote Back to top
MikeKOffline
Post subject: RE: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 11:17



Joined: 2010-10-11
Posts: 20

Status: Offline
yes, I am sorry actually it's 1st time I try to compile something, besides UFO:AI Smile but that was easy and stright forward.
Anyway I have installed a lot of things, and I am sure I have gio/gio.h that I have checked.

I compiling this drivers http://files.canon-europe.com/files/sof ... 06eenx.zip Since some updates of cups, there no more cupsys package and supplied deb drivers do not installs, and if it was installed before, the printer does not print.

I follow the README so /make gen and then trying to fix errors by installing missing packages.
 
 View user's profile Send private message  
Reply with quote Back to top
devilOffline
Post subject: RE: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 11:24



Joined: 2010-08-26
Posts: 491
Location: Berlin
Status: Offline
it would be a lot easier to use turboprint.

greetz
devil
 
 View user's profile Send private message  
Reply with quote Back to top
MikeKOffline
Post subject: RE: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 11:33



Joined: 2010-10-11
Posts: 20

Status: Offline
probably turboprint is easier...Does you have to pay for it? I heard you have too, and I also heard that with recent cupsys changes the turboprint also stucked..

But honestly it will be so much of pleasure to make this provided drivers work!
 
 View user's profile Send private message  
Reply with quote Back to top
devilOffline
Post subject: RE: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 11:50



Joined: 2010-08-26
Posts: 491
Location: Berlin
Status: Offline
turboprint is always quite uptodate.and yes, you have to pay for it, but can test it upfront.

greetz
devil
 
 View user's profile Send private message  
Reply with quote Back to top
diblOffline
Post subject: RE: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 15:21



Joined: 2010-09-12
Posts: 302
Location: Dayton, Ohio, USA
Status: Offline
I just bought the Turboprint 2 update (2.16?) for my PIXMA iP6220D -- the update cost 13 Euros/$17. This update has the fixed the cupsys dependency problem. But I had previously bought ver. 2.12. The new driver is 30 Euros/$40 USD.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
MikeKOffline
Post subject: RE: Re: RE: newb question about compiling...  PostPosted: 14.10.2010, 15:33



Joined: 2010-10-11
Posts: 20

Status: Offline
My printer works perfectly under opensuse 11.3.. no need any turboprints for money u can buy a windows (well exrraated a bit:) )
I just want to compile driver to use it on aptosid...
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio